export default {
  name: "abi",
  path: "#",
  component: () => import("aleksis.core/components/Parent.vue"),
  meta: {
    inMenu: true,
    titleKey: "abi.menu_title",
    icon: "mdi-swap-vertical",
    permission: "abi.view_abi_menu",
  },
  children: [
    {
      path: "persons/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.abiPersons",
      meta: {
        inMenu: true,
        titleKey: "abi.persons.menu_title",
        icon: "mdi-account-outline",
        iconActive: "mdi-account",
        permission: "abi.view_abipersons_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "persons/create/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.createAbiPerson",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "persons/:pk/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.abiPerson",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "persons/:pk/edit/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.editAbiPerson",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "persons/:pk/delete/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.deleteAbiPerson",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "groups/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.abiGroups",
      meta: {
        inMenu: true,
        titleKey: "abi.groups.menu_title",
        icon: "mdi-account-multiple-outline",
        iconActive: "mdi-account-multiple",
        permission: "abi.view_abigroups_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "groups/create/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.createAbiGroup",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "groups/:pk/edit/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.editAbiGroup",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "groups/:pk/delete/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.deleteAbiGroup",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "groups/import/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.importAbiGroup",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "ranking/categories/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.rankingCategories",
      meta: {
        inMenu: true,
        titleKey: "abi.ranking_categories.menu_title",
        icon: "mdi-format-list-numbered",
        permission: "abi.view_rankingcategories_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "ranking/categories/create/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.createRankingCategory",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "ranking/categories/:pk/edit/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.editRankingCategory",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "ranking/categories/:pk/delete/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.deleteRankingCategory",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "ranking/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.rankingForm",
      meta: {
        inMenu: true,
        titleKey: "abi.ranking.menu_title",
        icon: "mdi-format-list-numbered",
        permission: "abi.rank_persons_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.comments",
      meta: {
        inMenu: true,
        titleKey: "abi.comments.menu_title",
        icon: "mdi-comment-outline",
        iconActive: "mdi-comment",
        permission: "abi.view_comments_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/create/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.createComment",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/:pk/edit/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.editComment",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/:pk/delete/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.deleteComment",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/:pk/review/yes/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.reviewCommentYes",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "comments/:pk/review/no/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.reviewCommentNo",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "profile/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.updateProfile",
      meta: {
        inMenu: true,
        titleKey: "abi.profile.menu_title",
        icon: "mdi-contacts-outline",
        iconActive: "mdi-contacts",
        permission: "abi.use_profile_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "profile/configure/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.configureProfile",
      meta: {
        inMenu: true,
        titleKey: "abi.profile_questions.menu_title",
        icon: "mdi-head-question-outline",
        iconActive: "mdi-head-question",
        permission: "abi.edit_profile_questions_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quotes/my/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.myQuotes",
      meta: {
        inMenu: true,
        titleKey: "abi.quotes.menu_title",
        icon: "mdi-comment-quote-outline",
        iconActive: "mdi-comment-quote",
        permission: "abi.suggest_quote_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quotes/suggest/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.suggestQuote",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quotes/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.quotes",
      meta: {
        inMenu: true,
        titleKey: "abi.quotes_list.menu_title",
        icon: "mdi-comment-text-outline",
        iconActive: "mdi-comment-text",
        permission: "abi.view_quotes_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quotes/create/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.createQuote",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quote/:pk/edit/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.editQuote",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "quote/:pk/delete/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.deleteQuote",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportOverview",
      meta: {
        inMenu: true,
        titleKey: "abi.export_overview.menu_title",
        icon: "mdi-file-download-outline",
        iconActive: "mdi-file-download",
        permission: "abi.export_rule",
      },
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/comment/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportComment",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/profile/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportProfile",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/quote/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportQuote",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/ranking/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportRanking",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/picture/",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.exportPicture",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
    {
      path: "export/picture/pictures.zip",
      component: () => import("aleksis.core/components/LegacyBaseTemplate.vue"),
      name: "abi.getExportedPictures",
      props: {
        byTheGreatnessOfTheAlmightyAleksolotlISwearIAmWorthyOfUsingTheLegacyBaseTemplate: true,
      },
    },
  ],
};
