from django.utils.translation import gettext_lazy as _

MENUS = {
    "NAV_MENU_CORE": [
        {
            "name": _("Abi magazine"),
            "url": "#",
            "icon": "school",
            "root": True,
            "validators": [
                (
                    "aleksis.core.util.predicates.permission_validator",
                    "abi.view_abi_menu",
                ),
            ],
            "submenu": [
                {
                    "name": _("Persons"),
                    "url": "abi_persons",
                    "icon": "person",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.view_abipersons_rule",
                        ),
                    ],
                },
                {
                    "name": _("Groups"),
                    "url": "abi_groups",
                    "icon": "people",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.view_abigroups_rule",
                        ),
                    ],
                },
                {
                    "name": _("Ranking categories"),
                    "url": "ranking_categories",
                    "icon": "format_list_numbered",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.view_rankingcategories_rule",
                        ),
                    ],
                },
                {
                    "name": _("Ranking"),
                    "url": "ranking_form",
                    "icon": "format_list_numbered",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.rank_persons_rule",
                        ),
                    ],
                },
                {
                    "name": _("Profile"),
                    "url": "update_profile",
                    "icon": "contact_page",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.use_profile_rule",
                        ),
                    ],
                },
                {
                    "name": _("Profile Questions"),
                    "url": "configure_profile",
                    "icon": "badge",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.edit_profile_questions_rule",
                        ),
                    ],
                },
                {
                    "name": _("Quotes"),
                    "url": "my_quotes",
                    "icon": "format_quote",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.suggest_quote_rule",
                        ),
                    ],
                },
                {
                    "name": _("Quotes list"),
                    "url": "quotes",
                    "icon": "description",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.view_quotes_rule",
                        ),
                    ],
                },
                {
                    "name": _("Export Overview"),
                    "url": "export_overview",
                    "icon": "file_download",
                    "validators": [
                        ("aleksis.core.util.predicates.permission_validator", "abi.export_rule"),
                    ],
                },
                {
                    "name": _("Comments"),
                    "url": "comments",
                    "icon": "comment",
                    "validators": [
                        (
                            "aleksis.core.util.predicates.permission_validator",
                            "abi.view_comments_rule",
                        ),
                    ],
                },
            ],
        }
    ],
}
